## ophcrack 3.0.1

=== src/Makefile ===
# Copyright (C) 2008, Bertrand Mesot <http://www.objectif-securite.ch>
#	 	2008, Cedric Tissieres <http://www.objectif-securite.ch>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-13, USA

#$Rev: 113 $
#$Date: 2008-04-28 14:52:01 +0200 (Mon, 28 Apr 2008) $

# General variables
SHELL = /bin/sh


top_srcdir = ..
srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
infodir = $(prefix)/info
libdir = $(prefix)/lib/gnudl
mandir = $(prefix)/man/man1

CC = gcc
LIBS = -lm -lpthread  -lssl -lcrypto 
INSTALL = /usr/bin/install -c

CFLAGS  =  -Wall -pedantic -I.. -I/usr/include/openssl -O2 -DNDEBUG -std=gnu9x -I./samdump2
LDFLAGS = -lm -lpthread  -lssl -lcrypto 


all: libophcrack.a
#all: ophcrack

libophcrack.a: list.o misc.o scheduler.o table.o hash.o ophstat.o ophel.o \
	original.o ophtask.o message.o lmtable.o lmgerman.o ntextended.o arg.o \
	ophcrack.o ntdict.o fsm.o
	ar r $@ $^

ophcrack: main.o libophcrack.a samdump2/libsamdump2.a
	$(CC) $^ -o $@ $(LDFLAGS)

# Install target
install: all
	@echo "Creating directories..."
	$(INSTALL) -d $(bindir)
#	$(INSTALL) -d $(mandir)
	@echo "Copying binary..."
	$(INSTALL) ophcrack $(bindir)
#	@echo "Installing man page..."
#	$(INSTALL) ophcrack.1 $(DESTDIR)$(MANDIR)
	@echo ""

# Uninstall target
uninstall: 
	@echo "Deleting binary and manpages..."
	rm -f $(bindir)/ophcrack
#	rm -f $(mandir)/ophcrack.1
	@echo ""

clean:
	rm -f *.o *~
	rm -f ophcrack
	rm -f libophcrack.a

distclean: clean

list.o: list.h list.c
misc.o: misc.h misc.c
scheduler.o: list.h scheduler.h scheduler.c
table.o: misc.h table.h table.c
hash.o: misc.h table.h hash.h hash.c
ophstat.o: ophstat.h ophstat.c
ophel.o: ophstat.h ophel.h ophel.c
ophtask.o: ophtask.h ophtask.c
original.o: original.h original.c
message.o: list.h ophtask.h message.h message.c
lmtable.o: table.h hash.h ophel.h lmtable.h lmtable.c
lmgerman.o: table.h hash.h ophel.h lmgerman.h lmgerman.c
ntextended.o: table.h hash.h ophel.h ntextended.h ntextended.c
ntdict.o: table.h hash.h ophel.h ntdict.h ntdict.c
arg.o: arg.h arg.c
fsm.o: fsm.h fsm.c
ophcrack.o: misc.h list.h scheduler.h table.h hash.h lmtable.h ophel.h \
	ophtask.h message.h original.h ophcrack.h ophcrack.c
main.o: list.h table.h hash.h message.h ophcrack.h gui/main.cpp
	cp gui/main.cpp main.c
	$(CC) $(CFLAGS) -c -o $@ main.c
	rm main.c

=== src/samdump2/Makefile ===
# Copyright (C) 2008, Bertrand Mesot <http://www.objectif-securite.ch>
#	 	2008, Cedric Tissieres <http://www.objectif-securite.ch>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-13, USA

# General variables
SHELL = /bin/sh


top_srcdir = ../..
srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
infodir = $(prefix)/info
libdir = $(prefix)/lib/gnudl
mandir = $(prefix)/man/man1

CC = gcc
LIBS = -lm -lpthread  -lssl -lcrypto 
INSTALL = /usr/bin/install -c

CFLAGS  =  -Wall -pedantic -I.. -I/usr/include/openssl -O2 -DNDEBUG -std=gnu9x -I .. 
LDFLAGS = -lm -lpthread  -lssl -lcrypto  

all: libsamdump2.a

libsamdump2.a: hive.o bkhive.o samdump2.o
	ar r $@ $^

clean:
	rm -f *.o *~
	rm -f libsamdump2.a

distclean: clean

hive.o: hive.h hive.c
bkhive.o: bkhive.h bkhive.c
samdump2.o: samdump2.h samdump2.c

## ophcrack 3.4.0

=== debian/changelog ===
ophcrack (3.4.0-2) unstable; urgency=low

  * Add missing copyright.
  * Add ophcrack.install to install
    ophcrack.desktop file.
  * Update patch to detect properly sysinfo
    structure.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Thu, 14 Jun 2012 21:59:45 -0500

ophcrack (3.4.0-1) unstable; urgency=low

  * New maintainer. Closes: #673947
  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control
    + Set myself as Maintainer.
    + Set Julian Moreno Patiño as Uploader.
    + Changed debhelper to 9 in B-D.
    + Improve description.
    + Bump Standards-Version 3.9.3.
      + Update to DEP5 copyright format 1.0
    + Add autoconf, automake, libtool in B-D
    + Remove imagemagick in B-D
  * debian/compat
    + Switch compat level 5 to 9
  * debian/patches
    + Add 01_fix_spelling_error.diff patch 
      + Fix spelling error

  [Julian Moreno Patiño]
  * debian/control
    + Add dh-autoreconf in B-D
  * debian/patches
    + Add 00_validate_sysinfo.diff patch
      + Fix FTBFS in GNU Debian KfreeBSD. 
         + Thanks to Petr Salinger for the patch
  * debian/rules
    + Use tiny rules
      + Remove bashism in debian/rules. Closes: #535413
    + Remove the usage of /usr/share/misc/config.{sub,guess}
    + Remove validation of CFLAGS to use debhelper compat level instead
    + Remove install multiples icons

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 23 May 2012 22:09:42 -0500

ophcrack (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Remove dh_desktop call (replaced by trigger).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 01 Jul 2009 20:06:56 +0200

ophcrack (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 30 Apr 2009 20:36:20 +0200

ophcrack (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Enable new graph feature (add libqwt5-qt4-dev b-dep).
  * Update debian/copyright.
  * Update manpage.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 30 Mar 2009 21:42:46 +0200

ophcrack (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 19 Dec 2008 21:39:52 +0100

ophcrack (3.0.1-1) experimental; urgency=low

  * Upload to experimental because of lenny freeze.
  * New upstream release.
  * Update debian/watch.
  * Switch from libgtk2.0-dev to libqt4-dev b-dep.
  * Drop dpatch, not needed anymore.
  * Add new package ophcrack-cli that provides command-line binary.
  * Rewrite whole debian/rules to build qt4 and cli flavours.
  * Update README.Debian with new tables names/urls.
  * Do not depend anymore on bkhive/samdump2, both are embedded.
  * Update debian/copyright.
  * Add imagemagick b-dep to create icons.
  * Write a new manpage for the new command line switches.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 11 Aug 2008 15:58:58 +0200

ophcrack (2.4.1~debian-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.0.
  * Move homepage to new dpkg standard field.
  * Update desktop file with proper categories (Closes: #474158).
  * Fix manpage (bad whatis entry).
  * Move config.sub/config.guess updates to configure.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 23 Jun 2008 22:32:10 +0200

ophcrack (2.4.1~debian-1) unstable; urgency=low

  * New upstream release.
  * Update debian/menu and desktop file.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 20 Aug 2007 14:05:16 +0200

ophcrack (2.4~debian-1) unstable; urgency=low

  * New upstream release (Closes: #431805).
  * Drop recommends on ophcrack-tables (no time do create this package) (Closes: #431001).
  * Drop some patch against callbacks.c (fixed upstream, no longer use a forked bkhive binary).
  * Update debian/watch.
  * Use [ ! -f Makefile ] || $(MAKE) distclean instead of -$(MAKE) distclean (fix lintian warning).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 05 Jul 2007 14:55:35 +0200

ophcrack (2.3.4~debian-1) unstable; urgency=low

  * Initial release (Closes: #392906).
  * Repack upstream sources to remove non-free "linux_tools" sub-directory.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed,  4 Oct 2006 15:10:51 +0200

=== debian/control ===
Source: ophcrack
Section: admin
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>
Build-Depends: debhelper (>= 9), pkg-config, libssl-dev, libqt4-dev, libqwt5-qt4-dev, dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://ophcrack.sourceforge.net/

Package: ophcrack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Microsoft Windows password cracker using rainbow tables (gui)
 Ophcrack is a Windows password cracker based on a time-memory trade-off
 using rainbow tables. This is a new variant of Hellman's original trade-off,
 with better performance. It recovers 99.9% of alphanumeric passwords in
 seconds.
 .
 It works for Windows NT/2000/XP/Vista/7.
 .
 This package contains ophcrack with QT4 based graphical UI.
 Please note that it can be used in command line as well.

Package: ophcrack-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Microsoft Windows password cracker using rainbow tables (cmdline)
 Ophcrack is a Windows password cracker based on a time-memory trade-off
 using rainbow tables. This is a new variant of Hellman's original trade-off,
 with better performance. It recovers 99.9% of alphanumeric passwords in
 seconds.
 .
 It works for Windows NT/2000/XP/Vista/7.
 .
 This package contains ophcrack with command line interface only.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

BASE_CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) \
                        --build=$(DEB_BUILD_GNU_TYPE) \
                        --prefix=/usr

BUILDDIR_QT4 := $(CURDIR)/debian/tmpdir/qt4
BUILDDIR_CLI := $(CURDIR)/debian/tmpdir/cli
DESTDIR_QT4  := $(CURDIR)/debian/ophcrack
DESTDIR_CLI  := $(CURDIR)/debian/ophcrack-cli

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	mkdir -p $(BUILDDIR_QT4)
	mkdir -p $(BUILDDIR_CLI)
	cp -a `ls -d $(CURDIR)/* | grep -v '/debian$$'` $(BUILDDIR_QT4)
	cp -a `ls -d $(CURDIR)/* | grep -v '/debian$$'` $(BUILDDIR_CLI)
	cd $(BUILDDIR_QT4); \
	./configure $(BASE_CONFIGURE_FLAGS) --enable-gui --enable-graph
	cd $(BUILDDIR_CLI); \
	./configure $(BASE_CONFIGURE_FLAGS) --disable-gui --disable-graph

override_dh_auto_build:
	$(MAKE) -C $(BUILDDIR_QT4)
	$(MAKE) -C $(BUILDDIR_CLI)

override_dh_auto_install:
	mkdir -p $(DESTDIR_QT4)/usr/share/pixmaps
	install -D -m 755 $(BUILDDIR_CLI)/src/ophcrack $(DESTDIR_CLI)/usr/bin/ophcrack-cli
	install -D -m 755 $(BUILDDIR_QT4)/src/ophcrack $(DESTDIR_QT4)/usr/bin/ophcrack
	cp $(CURDIR)/src/gui/pixmaps/os.xpm \
		$(DESTDIR_QT4)/usr/share/pixmaps/ophcrack.xpm || exit 1;

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/debian/tmpdir

## ophcrack 3.6.0

=== src/test/Makefile ===
CC = gcc
CFLAGS = -g -O2 -O2 -DNDEBUG -Wall -std=gnu9x -pedantic -I.. -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I.. -I/usr/include -I../.. -I../ntproba
LDFLAGS =  -L/usr/lib -L/usr/lib -lm -lexpat -lpthread  -lssl -lcrypto -lqwt-qt4 

all: alltests

alltests: alltests.o ../libophcrack.a ../samdump2/libsamdump2.a
	$(CC) $^ -o $@ $(LDFLAGS)

depend:
	$(CC) $(CFLAGS) -MM *.c >.depend

include .depend

=== debian/changelog ===
ophcrack (3.6.0-2) unstable; urgency=medium

  * Fix FTBFS on arm64. (Closes: #744483)
    + Thanks to Logan Rosen for the patch.
  * Bump Standards-Version to 3.9.5. (no changes)
  * Extend debian copyright holders years.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 20 May 2014 14:25:44 -0500

ophcrack (3.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    + Remove 00_validate_sysinfo.diff patch.
      + Merge with upstream.
    + Remove 01_fix_spelling_error.diff patch.
      + Merge with upstream.
  * Update desktop file.
    + Remove extension from icon name.
    + Add keywords field.
  * Extend debian copyright years.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 08 Jun 2013 09:50:42 -0500

ophcrack (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh all patches.
  * Add libexpat-dev to B-D.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 13 May 2013 11:22:54 -0500

ophcrack (3.4.1-1) unstable; urgency=low

  * New upstream release.
    + Repack upstream tarball without prebuilt
      ELF object.
  * Extend debian copyright years.
  * Update my email.
  * Bump Standards-Version to 3.9.4. (no changes)

 -- Julián Moreno Patiño <julian@debian.org>  Wed, 01 May 2013 21:00:22 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Uploaders: Julián Moreno Patiño <darkjunix@gmail.com>
-Build-Depends: debhelper (>= 9), pkg-config, libssl-dev, libqt4-dev, libqwt5-qt4-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Uploaders: Julián Moreno Patiño <julian@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config, libexpat-dev, libssl-dev, libqt4-dev, libqwt5-qt4-dev, dh-autoreconf, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://ophcrack.sourceforge.net/
 
 Package: ophcrack

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DESTDIR_CLI  := $(CURDIR)/debian/ophcrack-cli
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,autotools_dev
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR_QT4)
@@ -43,4 +43,3 @@
 override_dh_clean:
 	dh_clean
 	rm -rf $(CURDIR)/debian/tmpdir
-

## ophcrack 3.6.1

=== src/test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = gcc
 CFLAGS = -g -O2 -O2 -DNDEBUG -Wall -std=gnu9x -pedantic -I.. -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I.. -I/usr/include -I../.. -I../ntproba
-LDFLAGS =  -L/usr/lib -L/usr/lib -lm -lexpat -lpthread  -lssl -lcrypto -lqwt-qt4 
+LDFLAGS =  -L/usr/lib -L/usr/lib -lm -lexpat -lpthread  -lssl -lcrypto -lqwt 
 
 all: alltests

=== debian/changelog ===
ophcrack (3.6.1-1) unstable; urgency=medium

  * New upstreame release.
    + Fix FTBFS with openssl 1.1.0 (Closes: #828479)
  * debian/control
    + Add Debian Security Tools Packaging Team as maintainer.
    + Bump Standards-Version to 3.9.8 (no changes).
    + Add Vcs-* fields.
  * Remove menu file.
  * debian/patches
    + Add fix_spelling_error.diff
      + Fix spelling error.
  * debian/rules
    + Add DEB_BUILD_MAINT_OPTIONS to set hardening flags.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 02 Aug 2016 15:20:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: ophcrack
 Section: admin
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Uploaders: Julián Moreno Patiño <julian@debian.org>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: Daniel Echeverry <epsilon77@gmail.com>, Julián Moreno Patiño <julian@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, libexpat-dev, libssl-dev, libqt4-dev, libqwt5-qt4-dev, dh-autoreconf, autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://ophcrack.sourceforge.net/
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/ophcrack.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/ophcrack.git
 
 Package: ophcrack
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## ophcrack 3.7.0

=== debian/changelog ===
ophcrack (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Update fix_spelling_error.diff patch.
      + Fix new spelling error.
  * debian/control
    + Change debhelper to 10 in B-D.
    + Bump Standards-Version to 4.0.0 (no changes).
  * debian/compat
    + Switch compat level 9 to 10.
  * debian/copyright
    + Extend debian copyright holders years.

  [ Gianfranco Costamagna ]
  * Add gbp.conf file

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 09 Jul 2017 13:58:19 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Daniel Echeverry <epsilon77@gmail.com>, Julián Moreno Patiño <julian@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, libexpat-dev, libssl-dev, libqt4-dev, libqwt5-qt4-dev, dh-autoreconf, autotools-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), pkg-config, libexpat-dev, libssl-dev, libqt4-dev, libqwt5-qt4-dev
+Standards-Version: 4.0.0
 Homepage: http://ophcrack.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/ophcrack.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/ophcrack.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DESTDIR_CLI  := $(CURDIR)/debian/ophcrack-cli
 
 %:
-	dh $@ --with autoreconf,autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	mkdir -p $(BUILDDIR_QT4)

## ophcrack 3.8.0

=== debian/changelog ===
ophcrack (3.8.0-4) unstable; urgency=medium

  * Team Upload

  [ Håvard F. Aasen ]
  * Drop Qt version number, in package description

  [ Debian Janitor ]
  * Update standards version to 4.7.2, no changes needed.
  * Use secure URI in Homepage field.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 00:09:39 +0200

ophcrack (3.8.0-3) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Bump d/watch to v4
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'
  * d/p/apply-CPPFLAGS.patch: Remove patch file, applied upstream on 3.8.0
  * d/p/make_crossbuild.diff: New patch to fix FTCBFS, thanks to
    Helmut Grohne (closes: #939812)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 01 Feb 2021 00:10:16 +0000

ophcrack (3.8.0-2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to
    Debian Security Tools.

  [ Daniel Echeverry ]
  * Use wrap and sort -s

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 06 Mar 2018 14:38:49 -0500

ophcrack (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Remove qt4 Depends in B-D. (Closes: #875082)
    + Change to DH 11 in B-D.
    + Add qt5 Depends in B-D, Ophcrack now is qt5 app.
    + Bump Standards-Version to 4.1.3.
    + Use wrap-and-sort.
  * debian/copyright
    + Use secure uri in Format field.
    + Extend debian copyright holders years.
    + Remove src/gui/histogram_item.* paragraph.
      + Because the files doesn't exists.
  * debian/rules
    + Rename variables to QT5.
    + Unset dpkg-architecture variables.
    + Remove disable-graph and enable-graph.
      + Deprecated in 3.8.0 version.
  * debian/patches
    + Refresh fix_spelling_error.diff patch.
  * debian/changelog
    + Remove some whitespaces.
    + Add missing entry of Gianfranco change's in 3.7.0-1 upload.
  * debian/compat
    + Switch compat level 10 to 11.
  * debian/ophcrack-cli.docs
    + Set README file.
  * debian/ophcrack.docs
    + Set README file.

  [ Lukas Schwaighofer ]
  * debian/patches
    + Update metadata of spelling-correction patch.

  [ Raphaël Hertzog ]
  * debian/control
    + Update Vcs-Git and Vcs-Browser for the move
      to salsa.debian.org.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 25 Feb 2018 15:39:44 -0500

=== debian/control ===
Source: ophcrack
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Daniel Echeverry <epsilon77@gmail.com>,
 Julián Moreno Patiño <julian@debian.org>
Build-Depends: debhelper-compat (= 13),
 libexpat-dev,
 libqt5charts5-dev,
 libssl-dev,
 pkg-config,
 qt5-qmake
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://ophcrack.sourceforge.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/ophcrack.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/ophcrack

Package: ophcrack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Microsoft Windows password cracker using rainbow tables (gui)
 Ophcrack is a Windows password cracker based on a time-memory trade-off
 using rainbow tables. This is a new variant of Hellman's original trade-off,
 with better performance. It recovers 99.9% of alphanumeric passwords in
 seconds.
 .
 It works for Windows NT/2000/XP/Vista/7.
 .
 This package contains ophcrack with Qt-based graphical UI.
 Please note that it can be used in command line as well.

Package: ophcrack-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Microsoft Windows password cracker using rainbow tables (cmdline)
 Ophcrack is a Windows password cracker based on a time-memory trade-off
 using rainbow tables. This is a new variant of Hellman's original trade-off,
 with better performance. It recovers 99.9% of alphanumeric passwords in
 seconds.
 .
 It works for Windows NT/2000/XP/Vista/7.
 .
 This package contains ophcrack with command line interface only.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

BASE_CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) \
                        --build=$(DEB_BUILD_GNU_TYPE) \
                        --prefix=/usr

BUILDDIR_QT5 := $(CURDIR)/debian/tmpdir/qt5
BUILDDIR_CLI := $(CURDIR)/debian/tmpdir/cli
DESTDIR_QT5  := $(CURDIR)/debian/ophcrack
DESTDIR_CLI  := $(CURDIR)/debian/ophcrack-cli

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(BUILDDIR_QT5)
	mkdir -p $(BUILDDIR_CLI)
	cp -a `ls -d $(CURDIR)/* | grep -v '/debian$$'` $(BUILDDIR_QT5)
	cp -a `ls -d $(CURDIR)/* | grep -v '/debian$$'` $(BUILDDIR_CLI)
	cd $(BUILDDIR_QT5); \
	./configure $(BASE_CONFIGURE_FLAGS) --enable-gui
	cd $(BUILDDIR_CLI); \
	./configure $(BASE_CONFIGURE_FLAGS) --disable-gui

override_dh_auto_build:
	$(MAKE) -C $(BUILDDIR_QT5)
	$(MAKE) -C $(BUILDDIR_CLI)

override_dh_auto_install:
	mkdir -p $(DESTDIR_QT5)/usr/share/pixmaps
	install -D -m 755 $(BUILDDIR_CLI)/src/ophcrack $(DESTDIR_CLI)/usr/bin/ophcrack-cli
	install -D -m 755 $(BUILDDIR_QT5)/src/ophcrack $(DESTDIR_QT5)/usr/bin/ophcrack
	cp $(CURDIR)/src/gui/pixmaps/os.xpm \
		$(DESTDIR_QT5)/usr/share/pixmaps/ophcrack.xpm || exit 1;

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/debian/tmpdir
